/****************************************************************************
**
** This file is part of PLCEdit, an open-source cross-platform editor 
** for PLC source files (e.g. from Moeller, CoDeSys and Siemens).
** Copyright (C) 2005-2008  M. Rehfeldt
**
** This software uses classes of Trolltech Qt toolkit and is freeware. 
** This file may be used under the terms of the GNU General Public License 
** version 2.0 or (at your option) any later version as published by the 
** Free Software Foundation and appearing in the file LICENSE.GPL included 
** in the packaging of this file. 
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact e-mail: M. Rehfeldt <info@plcedit.org>
** Program URL   : http://www.plcedit.org
**
****************************************************************************/


#include <QApplication>
#include <QDir>

#include "pagectrl.h"
#include "mainwindow.h"
#include "singleappwin.h"


int main(int argc, char *argv[])
{	
  //used if OS is Windows
  const QString windowTitle( "PLCEdit" ); 
  SingleAppWin app( argc, argv, QString( "2.00" ).arg(windowTitle) );
    if( app.isPrevInstance() )
    { //if a pre. instance exists bring org. instance to front and open argv[1]
	  app.bringPrevInstanceToFront( windowTitle );
	  app.sendMessageToPrevInstance( windowTitle, argv[1] );
      return 0;
    }
  
    MainWindow mainWin;
    mainWin.show();
    if (argv[1] != "") //open file which was maybe called main window
      mainWin.openFile(argv[1]);
    return app.exec();
  
  
  //app.setStyle("plastique"); //"windows", "motif", "cde", "plastique", "windowsxp", or "macintosh" or "cleanlooks". 
      
  /*create some needed folders if they not exists
  QString appDir = (QApplication::applicationDirPath());
  if (!QDir(appDir + "/Lang/").exists());
    QDir(appDir).mkpath(appDir + "/Lang/");
  if (!QDir(appDir + "/Sessions/").exists());
    QDir(appDir).mkpath(appDir + "/Sessions/");
  */ 
}

